Bug 862042 - [RFE] Exclude Packages for a System
[RFE] Exclude Packages for a System
Status: NEW
Product: Spacewalk
Classification: Community
Component: Server (Show other bugs)
1.8
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Tomas Lestach
Red Hat Satellite QA List
:
Depends On:
Blocks: spacewalk-rfe
  Show dependency treegraph
 
Reported: 2012-10-01 13:28 EDT by Kevin Stange
Modified: 2017-10-31 04:34 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kevin Stange 2012-10-01 13:28:34 EDT
I have a system which has a custom kernel and older version of openvpn installed.  To avoid having spacewalk install updates to these packages, I have these excludes listed in /etc/yum/pluginconf.d/rhnplugin.conf:

exclude=analog dpkg openvpn kernel kernel-PAE kernel-debug kernel-xen

However, in the spacewalk server WebUI, the package updates are listed and cannot be marked as "ignore" for a specific update or excluded permanently by name.  Via email, I get a message multiple times a day with errata for package updates on these systems.

This request is for an exclude or ignore option that prevents spacewalk from considering a particular update as applicable to a system.
Comment 1 Kevin Stange 2012-10-01 13:33:54 EDT
Just to follow up on this idea, it might make sense to be able to apply the exclusions to a system group in addition to per-system exclusions.
Comment 2 Michael Mráka 2012-10-03 04:03:26 EDT
Hi Kevin,

although Spacewalk can't exclude certain packages for server/group you can achieve this by creating cloned channel which contains all but excluded packages.
Any time later updated packages in original channel can be simply cloned to new channel via errata cloning.

Regards,
Michael
Comment 3 Rolf Linder 2012-11-07 06:22:40 EST
Hi Kevin

We are using an older version of spacewalk, but had the same problem (use a specified version of an rpm on some systems). 

Maybe you could try using the yum plugin "yum-plugin-versionlock". In our environment, with this plugin (see steps below) we could "lock" the packages, so that also update tasks from spacewalk will not update these packages:

1. install plugin: "yum install yum-plugin-versionlock.noarch"
2. exclude package foo: "yum versionlock foo"
3. check exclude: "yum check-update"

Maybe this is a solution for your problem.

Kind regards,
Rolf Linder
Comment 4 Jan Pazdziora 2012-12-07 15:04:27 EST
Am I correct in assuming that this is basically the same RFE as tracked in bug 129178?
Comment 5 Kevin Stange 2012-12-07 16:11:14 EST
No, I don't think so.  My request is to exclude packages permanently, not to ever show them as updates, for a given system or system group.  I don't want to have to maintain multiple channels for this.

As an example, I have some systems where I have packages intentionally held back to previous versions that I never want to upgrade because we know the upgrade will break other software on the system, so I want those upgrades not to prompt me for approval as in bug 129178 but simply not be considered upgrade candidates at all, much in the same way as yum can do with the exclude= lines.

Note You need to log in before you can comment on or make changes to this bug.